restic backup(1)

NAME

restic-mount - Mount the repository

SYNOPSIS

restic mount [flags] mountpoint

DESCRIPTION

The "mount" command mounts the repository via fuse to a directory. This is a read-only mount.

Snapshot Directories

If you need a different template for all directories that contain snapshots, you can pass a template via --snapshot-template. Example without colons:

    --snapshot-template "2006-01-02_15-04-05"

You need to specify a sample format for exactly the following timestamp:

    Mon Jan 2 15:04:05 -0700 MST 2006

For details please see the documentation for time.Format() at:

⟨https://godoc.org/time#Time.Format⟩

OPTIONS

--allow-other[=false]
    allow other users to access the data in the mounted directory

--allow-root[=false]
    allow root user to access the data in the mounted directory

-h, --help[=false]
    help for mount

-H, --host=""
    only consider snapshots for this host

--no-default-permissions[=false]
    for 'allow-other', ignore Unix permissions and allow users to read all snapshot files

--owner-root[=false]
    use 'root' as the owner of files and dirs

--path=[]
    only consider snapshots which include this (absolute) path

--snapshot-template="2006-01-02T15:04:05Z07:00"
    set template to use for snapshot dirs

--tag=[]
    only consider snapshots which include this taglist

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    specify a shell command to obtain a password (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify --verbose multiple times or level n)

SEE ALSO

restic(1)